Subject: Re: New way of tracking remote branches -- question

From: Theodore Tso <[email-masked]>
Date: Sat, 6 Jan 2007 09:10:32 -0500

On Fri, Jan 05, 2007 at 05:11:04PM -0800, Junio C Hamano wrote:
>  * Your heads/ namespace is of your own.  The repository clone
>    sets up arranges the master branch to start from the same
>    commit as where you cloned from, and sets up so that changes
>    made on the master at the remote is merged into your master,
>    but that is merely a convention that was deemed as the most
>    common and the most convenient.

The other nice thing about the new scheme is that if new branches
appear in the remote repository, they automatically show up in
remote/origin/*.  Before, if new branches showed up after the initial
clone, you'd never know about it and it wouldn't be possible to
automatically create new branches in heads/ since it might conflict
with an originally existing branch in the local namespace.  So IMHO,
the separation of namespace is definitely a good thing.

						- Ted